@font-face {
  font-family: "ShareTechMono";
  src: url("ShareTechMono-Regular.ttf");
}

body,
h1,
main {
  margin: 0;
}

/* .backgroundimg {
  grid-column: 1 / span 10;
  grid-row: 1 / span 10;
  height: 50vh;
  width: 100vw;
} */

body {
  background-image: url("Gemini_Generated_Image_5daoh05daoh05dao.jpg");
  background-size: 2000px 1400px;
  background-repeat: no-repeat;
  display: grid;
  grid-template-columns: 33vw 34vw 33vw;
  grid-template-rows: (10vh 10vh 10vh 10vh 10vh 10vh 10vh 10vh 10vh 10vh);
}

h1,
main,
footer,
select {
  font-family: "ShareTechMono";
  color: rgb(175, 15, 15);
}

h1,
main,
footer {
  display: flex;
}

h1 {
  padding: 50px;
  grid-column: 1 / span 3;
  grid-row: 1 / span 2;
  align-items: flex-center;
  justify-content: center;
  background-image: url("MoneyTalks.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  text-shadow: 3px 3px 6px black;
  font-size-adjust: 0.75;
}

main {
  padding-top: 30px;
  gap: 10px;
  grid-row: 3 / span 5;
  grid-column: 2 / span 1;
  flex-direction: column;
  font-weight: 600;
}

input {
  grid-column: 2 / span 1;
}

h2 {
  font-family: "ShareTechMono";
  grid-row: 9 / span 1;
  grid-column: 2 / span 1;
  display: flex;
  flex-direction: column;
  align-content: top;
  color: rgb(175, 15, 15);
}

footer {
  grid-row: 10 / span 1;
  grid-column: 1 / span 1;
  justify-content: center;
}

input[type="range"],
input[type="range"]::-webkit-slider-thumb {
  border-radius: 6px;
}

input[type="range"] {
  -webkit-appearance: none;
  background-color: rgba(149, 239, 209, 0.708);
  transition: width, 0.4s;
}

input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  background-color: rgb(175, 15, 15);
  width: 10px;
  height: 10px;
  cursor: pointer;
  transition-duration: width, height, 0.2s;
}

input[type="range"]::-webkit-slider-runnable-track {
  width: 10px;
  height: 10px;
}

input[type="range"]::-webkit-slider-thumb:hover {
  width: 20px;
  height: 20px;
  transform: translate(0px, -5px);
}

footer {
  padding-top: 125px;
  padding-bottom: 30px;
  gap: 10px;
}
